Email Campaigns
These APIs allows the developers to send, read, and track Email campaigns.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/email/v1/optIn
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/email/v1/optIn
This API allows you to optIn an Email address to Email campaigns.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| query | string | false | |
| phoneNumber | query | string | false |
Response
OK.
copied![
{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the email campaign OptIn.",
"properties": {
"message": {
"type": "string",
"description": "A message providing additional details about the Email Campaign Opt-In."
}
},
"required": {
"0": "message"
}
},
"status": {
"type": "string",
"description": "Status of the email campaign response."
}
},
"required": {
"0": "details",
"1": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | EmailCampaignOptIn |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
put
copied!# You can also use wgetcurl -X PUT https://api-qa.phenompro.com/campaigns/email/v1/optIn
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'PUT /campaigns/email/v1/optIn
This API allows you to update the optIn status.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"required": {
"0": "optIn"
},
"type": "object",
"properties": {
"phoneNumber": {
"type": "string",
"description": "Phone Number associated with Email Campaign OptIn Request."
},
"email": {
"type": "string",
"description": "Email Id associated with Email Campaign OptIn Request."
},
"optIn": {
"type": "boolean",
"description": "A boolean flag indicating the OptIn status."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | EmailCampaignOptInRequest |
Response
OK.
copied![
{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the OptIn Response.",
"properties": {
"message": {
"type": "string",
"description": "A user-readable message describing the OptIn response."
}
},
"required": {
"0": "message"
}
},
"status": {
"type": "string",
"description": "Status the OptIn response."
}
},
"required": {
"0": "details",
"1": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | EmailCampaignOptInResponse |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/email/v1/optIn/history
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/email/v1/optIn/history
This API allows you to get the history of opted in status for an email address.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| size | query | integer | false |
| communicationId | query | string | false |
| query | string | true |
Response
OK.
copied![
{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the OptIn History.",
"properties": {
"content": {
"type": "array",
"description": "Content of the OptIn History.",
"items": {
"type": "object",
"description": "Items in the OptIn History.",
"properties": {
"actionType": {
"type": "string",
"description": "The type of action associated with the email campaign OptIn History."
},
"reason": {
"type": "string",
"description": "The reason for the action in the email campaign OptIn History."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp representing the creation date of the email campaign OptIn History entry."
},
"email": {
"type": "string",
"description": "Email associated with the email campaign OptIn History."
}
},
"required": {
"0": "actionType",
"1": "reason",
"2": "createdDate",
"3": "email"
}
}
},
"pageable": {
"type": "object",
"description": "Details about pagination.",
"properties": {
"sort": {
"type": "object",
"description": "Indicates whether the list is sorted.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the list is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the list is unsorted."
}
},
"required": {
"0": "sorted",
"1": "empty",
"2": "unsorted"
}
},
"pageNumber": {
"type": "integer",
"description": "The current page number."
},
"offset": {
"type": "integer",
"description": "The offset of the current page."
},
"pageSize": {
"type": "integer",
"description": "The size of each page in the paginated list."
},
"paged": {
"type": "boolean",
"description": "Indicates whether the list is paginated."
},
"unpaged": {
"type": "boolean",
"description": "Indicates whether the list is unpaged."
}
},
"required": {
"0": "sort",
"1": "pageNumber",
"2": "offset",
"3": "pageSize",
"4": "paged",
"5": "unpaged"
}
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements across all pages."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list."
},
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list."
},
"size": {
"type": "integer",
"description": "Number of elements in the current page."
},
"number": {
"type": "integer",
"description": "The current page number."
},
"sort": {
"type": "object",
"description": "Indicates whether the list is sorted.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the list is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the list is unsorted."
}
},
"required": {
"0": "sorted",
"1": "empty",
"2": "unsorted"
}
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in the current page."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the paginated list is empty."
}
},
"required": {
"0": "content",
"1": "pageable",
"2": "totalPages",
"3": "totalElements",
"4": "last",
"5": "first",
"6": "size",
"7": "number",
"8": "sort",
"9": "numberOfElements",
"10": "empty"
}
},
"status": {
"type": "string",
"description": "The status of the response."
}
},
"required": {
"0": "details",
"1": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | EmailCampaignOptInHistory |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/campaigns/email/v1/send
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /campaigns/email/v1/send
This API allows you to send an Email for a set of candidates via a campaign.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"required": {
"0": "campaignId",
"1": "emailContent",
"2": "subject",
"3": "toEmail"
},
"type": "object",
"properties": {
"subject": {
"type": "string",
"description": "Subject of the Send Email Campaign Request."
},
"emailContent": {
"type": "string",
"description": "Email content of the Send Email Campaign Request."
},
"campaignId": {
"type": "string",
"description": "Campaign Id for Send Email Campaign Request."
},
"toEmail": {
"type": "string",
"description": "Sender's email address in send email campaign Request."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | SendEmailCampaignRequest |
Response
OK.
copied![
{
"type": "object",
"properties": {
"data": {
"type": "object",
"description": "Data of the send email campaign response .",
"properties": {
"campaignGroupId": {
"type": "string",
"description": "Unique identifier for the email campaign group."
},
"message": {
"type": "string",
"description": "A message providing additional details about the email campaign response."
}
},
"required": {
"0": "campaignGroupId",
"1": "message"
}
},
"status": {
"type": "string",
"description": "Status of the email campaign response."
}
},
"required": {
"0": "data",
"1": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | SendEmailCampaignResponse |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/email/v1/activity
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/email/v1/activity
This API allows you to get all the Email activities of candidates like Delivered, Read, Bounced, Dropped etc.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| size | query | integer | false |
| activityId | query | string | true |
| query | string | true |
Response
OK.
copied![
{
"type": "object",
"properties": {
"pagination": {
"type": "object",
"description": "Object contains pagination details for Email campaign Activity.",
"properties": {
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list of email campaign activity."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list of email campaign activity."
},
"hasErrors": {
"type": "boolean",
"description": "Indicates whether there are errors in the paginated list of email campaign activity."
},
"hasNext": {
"type": "boolean",
"description": "Indicates whether there is a next page in the paginated list of email campaign activity."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements in email campaign activity across all pages."
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list of email campaign activity."
},
"size": {
"type": "integer",
"description": "Number of elements in email campaign activity in the current page."
},
"currentPage": {
"type": "integer",
"description": "The current page number in the paginated list of email campaign activity."
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in email campaign activity for the current page."
}
},
"required": {
"0": "first",
"1": "last",
"2": "hasErrors",
"3": "hasNext",
"4": "totalElements",
"5": "totalPages",
"6": "size",
"7": "currentPage",
"8": "numberOfElements"
}
},
"data": {
"type": "array",
"description": "Data for Email Campaign Activity.",
"items": {
"type": "object",
"properties": {
"emailActivityId": {
"type": "string",
"description": "Unique identifier for the email activity."
},
"email": {
"type": "string",
"description": "Email address associated with the email campaign activity."
},
"event": {
"type": "string",
"description": "Event associated with email campaign activity."
},
"ip": {
"type": "string",
"description": "IP address associated with the email activity."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the email activity was created."
},
"useragent": {
"type": "string",
"description": "User agent information associated with the email activity."
}
},
"required": {
"0": "emailActivityId",
"1": "email",
"2": "event",
"3": "ip",
"4": "createdDate",
"5": "useragent"
}
}
},
"status": {
"type": "string",
"description": "Status of the email campaign activity."
}
},
"required": {
"0": "pagination",
"1": "data",
"2": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | EmailCampaignActivity |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/email/v1/history
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/email/v1/history
This API allows you to get all the Email history of the candidates in a campaign.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| size | query | integer | false |
| query | string | true |
Response
OK.
copied![
{
"type": "object",
"properties": {
"pagination": {
"type": "object",
"description": "Object containing pagination details for Email Camapign History.",
"properties": {
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list of email campaign history."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list of email campaign history."
},
"hasErrors": {
"type": "boolean",
"description": "Indicates whether there are errors in the paginated list of email campaign history."
},
"hasNext": {
"type": "boolean",
"description": "Indicates whether there is a next page in the paginated list of email campaign history."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements in email campaign history have across all pages."
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list of email campaign history."
},
"size": {
"type": "integer",
"description": "Size of the email campaign history."
},
"currentPage": {
"type": "integer",
"description": "The current page number in the paginated list of email campaign history."
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in email campaign history in the current page."
}
},
"required": {
"0": "first",
"1": "last",
"2": "hasErrors",
"3": "hasNext",
"4": "totalElements",
"5": "totalPages",
"6": "size",
"7": "currentPage",
"8": "numberOfElements"
}
},
"data": {
"type": "array",
"description": "Data of the Email Campaign History.",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "Email associated with Email campaign History."
},
"emailActivityId": {
"type": "string",
"description": "Email Activity Id associated with Email Campaign History."
},
"campaignName": {
"type": "string",
"description": "The Email CampaignName in the Email Campaign History."
},
"campaignType": {
"type": "string",
"description": "Type of the email campaign in the Email Campaign History ."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the email campaign history entry was created."
}
},
"required": {
"0": "email",
"1": "emailActivityId",
"2": "campaignName",
"3": "campaignType",
"4": "createdDate"
}
}
},
"status": {
"type": "string",
"description": "Status of the Email Campaign History."
}
},
"required": {
"0": "pagination",
"1": "data",
"2": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | EmailCampaignHistory |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
SMS Campaigns
These APIs allows the developers to send, read, and track SMS campaigns.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/sms/v1/optIn/history
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/sms/v1/optIn/history
This API allows you to get the history of opted in status for a PhoneNumber.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| size | query | integer | false |
| communicationId | query | string | false |
| phoneNumber | query | string | true |
Response
OK
copied![
{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the SMS campaign OptIn History.",
"properties": {
"content": {
"type": "array",
"description": "Content of the SMS campaign OptIn History.",
"items": {
"type": "object",
"description": "Items associated to SMS campaign OptIn History.",
"properties": {
"phoneNumber": {
"type": "string",
"description": "PhoneNumber associated with SMS campaign OptIn History."
},
"actionType": {
"type": "string",
"description": "The type of action associated with the SMS campaign OptIn History."
},
"reason": {
"type": "string",
"description": "Reason for the SMS campaign OptIn History."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating the date and time when the opt-in event occurred."
}
},
"required": {
"0": "phoneNumber",
"1": "actionType",
"2": "reason",
"3": "createdDate"
}
}
},
"pageable": {
"type": "object",
"description": "Represents pagination information for a pageable result set.",
"properties": {
"sort": {
"type": "object",
"description": "Sorting information for the pageable result set.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the result set is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the sorting is unsorted."
}
},
"required": {
"0": "sorted",
"1": "empty",
"2": "unsorted"
}
},
"pageNumber": {
"type": "integer",
"description": "The current page number in the result set."
},
"offset": {
"type": "integer",
"description": "The offset of the current page in the result set."
},
"pageSize": {
"type": "integer",
"description": "The number of elements per page in the result set."
},
"paged": {
"type": "boolean",
"description": "Indicates whether the result set is pageable."
},
"unpaged": {
"type": "boolean",
"description": "Indicates whether the result set is unpaged."
}
},
"required": {
"0": "sort",
"1": "pageNumber",
"2": "offset",
"3": "pageSize",
"4": "paged",
"5": "unpaged"
}
},
"totalPages": {
"type": "integer",
"description": "The total number of pages in the result set."
},
"totalElements": {
"type": "integer",
"description": "The total number of elements in the result set."
},
"last": {
"type": "boolean",
"description": "Indicates whether the current page is the last page in the result set."
},
"first": {
"type": "boolean",
"description": "Indicates whether the current page is the first page in the result set."
},
"size": {
"type": "integer",
"description": "The number of elements on the current page."
},
"number": {
"type": "integer",
"description": "The current page number in the result set."
},
"sort": {
"type": "object",
"description": "Sorting information for the result set.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the result set is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the sorting is unsorted."
}
},
"required": {
"0": "sorted",
"1": "empty",
"2": "unsorted"
}
},
"numberOfElements": {
"type": "integer",
"description": "The number of elements on the current page."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the result set is empty."
}
},
"required": {
"0": "content",
"1": "pageable",
"2": "totalPages",
"3": "totalElements",
"4": "last",
"5": "first",
"6": "size",
"7": "number",
"8": "sort",
"9": "numberOfElements",
"10": "empty"
}
},
"status": {
"type": "string",
"description": "Status of the OptIn History."
}
},
"required": {
"0": "details",
"1": "status"
}
}
]Bad Request
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | SMSCampaignOptInHistory |
| 400 | Bad Request | BadRequest |
| 401 | Unauthorized | UnauthorizedRequest |
| 500 | Internal Server Error | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/sms/v1/optIn
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/sms/v1/optIn
This API allows you to optIn a PhoneNumber to SMS campaigns.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| query | string | false | |
| phoneNumber | query | string | false |
Response
OK
copied![
{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the SMS Campaign OptIn.",
"properties": {
"message": {
"type": "string",
"description": "A user readable message regarding the SMS Campaign OptIn."
}
},
"required": {
"0": "message"
}
},
"status": {
"type": "string",
"description": "Status of the SMS Campaign OptIn."
}
},
"required": {
"0": "details",
"1": "status"
}
}
]Bad Request
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | SMSCampaignOptIn |
| 400 | Bad Request | BadRequest |
| 401 | Unauthorized | UnauthorizedRequest |
| 500 | Internal Server Error | InternalServerError |
put
copied!# You can also use wgetcurl -X PUT https://api-qa.phenompro.com/campaigns/sms/v1/optIn
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'PUT /campaigns/sms/v1/optIn
This API allows you to update the optIn status.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"required": {
"0": "optIn"
},
"type": "object",
"properties": {
"phoneNumber": {
"type": "string",
"description": "Phone Number associated with SMS Campaign OptIn Request."
},
"email": {
"type": "string",
"description": "Email associated with SMS Campaign OptIn Request."
},
"optIn": {
"type": "boolean",
"description": "Flag indicating the opt-in status for the SMS campaign."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | SMSCampaignOptInRequest |
Response
OK
copied![
{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the SMS Campaign OptIn Response.",
"properties": {
"message": {
"type": "string",
"description": "A user readable message regarding the SMS Campaign OptIn Response."
}
},
"required": {
"0": "message"
}
},
"status": {
"type": "string",
"description": "Status of the SMS Campaign OptIn Response."
}
},
"required": {
"0": "details",
"1": "status"
}
}
]Bad Request
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | SMSCampaignOptInResponse |
| 400 | Bad Request | BadRequest |
| 401 | Unauthorized | UnauthorizedRequest |
| 500 | Internal Server Error | InternalServerError |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/campaigns/sms/v1/send
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'POST /campaigns/sms/v1/send
This API allows you to send a SMS for a set of candidates via a campaign.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"phoneNumber": {
"type": "string",
"description": "User phoneNumber of the Send SMS campaign request."
},
"message": {
"type": "string",
"description": "The user readable message about the Send SMS campaign request ."
},
"campaignName": {
"type": "string",
"description": "Campaign Name of the Send SMS campaign request."
},
"campaignId": {
"type": "string",
"description": "Campaign Id of the Send SMS campaign request."
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | SendSMSCampaignRequest |
Response
OK
copied![
{
"type": "object",
"properties": {
"data": {
"type": "object",
"description": "Data of the sent SMS.",
"properties": {
"messageSID": {
"type": "string",
"description": "The unique identifier for the sent SMS message."
},
"message": {
"type": "string",
"description": "The user readable information of the sent SMS message."
}
},
"required": {
"0": "messageSID",
"1": "message"
}
},
"status": {
"type": "string",
"description": "The Status of the Sent SMS ."
}
},
"required": {
"0": "data",
"1": "status"
}
}
]Bad Request
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | SendSMS |
| 400 | Bad Request | BadRequest |
| 401 | Unauthorized | UnauthorizedRequest |
| 500 | Internal Server Error | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/sms/v1/activity
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/sms/v1/activity
This API allows you to get all the SMS activities of candidates like Delivered, Read, Bounced, Dropped etc.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| size | query | integer | false |
| activityId | query | string | true |
| phoneNumber | query | string | true |
Response
OK
copied![
{
"type": "object",
"properties": {
"pagination": {
"type": "object",
"description": "Pagination details for the SMS activity result set.",
"properties": {
"first": {
"type": "boolean",
"description": "Indicates whether the current page is the first page."
},
"last": {
"type": "boolean",
"description": "Indicates whether the current page is the last page."
},
"hasErrors": {
"type": "boolean",
"description": "Indicates whether there are errors in the SMS activity."
},
"hasNext": {
"type": "boolean",
"description": "Indicates whether there is a next page in the result set."
},
"totalElements": {
"type": "integer",
"description": "The total number of elements in the SMS activity result set."
},
"totalPages": {
"type": "integer",
"description": "The total number of pages in the SMS activity result set."
},
"size": {
"type": "integer",
"description": "The number of elements on the current page."
},
"currentPage": {
"type": "integer",
"description": "The current page number in the SMS activity result set."
},
"numberOfElements": {
"type": "integer",
"description": "The number of elements on the current page."
}
},
"required": {
"0": "first",
"1": "last",
"2": "hasErrors",
"3": "hasNext",
"4": "totalElements",
"5": "totalPages",
"6": "size",
"7": "currentPage",
"8": "numberOfElements"
}
},
"data": {
"type": "array",
"description": "Data containing SMS activity .",
"items": {}
},
"status": {
"type": "string",
"description": "Status of the SMS activity."
}
},
"required": {
"0": "pagination",
"1": "data",
"2": "status"
}
}
]Bad Request
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK | SMSActivity |
| 400 | Bad Request | BadRequest |
| 401 | Unauthorized | UnauthorizedRequest |
| 500 | Internal Server Error | InternalServerError |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/campaigns/sms/v1/history
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'
-H 'x-ph-userid: string'GET /campaigns/sms/v1/history
This API allows you to get all the SMS Campaigns history of the candidates in a campaign.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
| x-ph-userid | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| offset | query | integer | false |
| size | query | integer | false |
| phoneNumber | query | string | true |
Response
OK.
copied![
{
"type": "object",
"properties": {
"pagination": {
"type": "object",
"description": "Object containing pagination details for Email Camapign History.",
"properties": {
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list of email campaign history."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list of email campaign history."
},
"hasErrors": {
"type": "boolean",
"description": "Indicates whether there are errors in the paginated list of email campaign history."
},
"hasNext": {
"type": "boolean",
"description": "Indicates whether there is a next page in the paginated list of email campaign history."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements in email campaign history have across all pages."
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list of email campaign history."
},
"size": {
"type": "integer",
"description": "Size of the email campaign history."
},
"currentPage": {
"type": "integer",
"description": "The current page number in the paginated list of email campaign history."
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in email campaign history in the current page."
}
},
"required": {
"0": "first",
"1": "last",
"2": "hasErrors",
"3": "hasNext",
"4": "totalElements",
"5": "totalPages",
"6": "size",
"7": "currentPage",
"8": "numberOfElements"
}
},
"data": {
"type": "array",
"description": "Data of the SMS Campaign History.",
"items": {
"type": "object",
"properties": {
"phoneNumber": {
"type": "string",
"description": "PhoneNumber associated with SMS campaign History."
},
"campaignName": {
"type": "string",
"description": "The SMS CampaignName in the SMS Campaign History."
},
"campaignType": {
"type": "string",
"description": "Type of the campaign in the SMS Campaign History ."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the email campaign history entry was created."
},
"body": {
"type": "string",
"description": "Body Defines the Message that was sent to candidate in the SMS Campaign."
},
"event": {
"type": "string",
"description": "Defines the status of the SMS Campaign for a Candidate."
}
},
"required": {
"0": "phoneNumber",
"1": "campaignName",
"2": "body",
"3": "campaignType",
"4": "createdDate",
"5": "event"
}
}
},
"status": {
"type": "string",
"description": "Status of the SMS Campaign History."
}
},
"required": {
"0": "pagination",
"1": "data",
"2": "status"
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Unauthorized.
copied![
{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Internal Server Error.
copied![
{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | OK. | SMSCampaignHistory |
| 400 | Bad Request. | BadRequest |
| 401 | Unauthorized. | UnauthorizedRequest |
| 500 | Internal Server Error. | InternalServerError |
Schemas
copied!{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the OptIn Response.",
"properties": {
"message": {
"type": "string",
"description": "A user-readable message describing the OptIn response."
}
},
"required": [
"message"
]
},
"status": {
"type": "string",
"description": "Status the OptIn response."
}
},
"required": [
"details",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| details | object | Details of the OptIn Response. |
| message | string | A user-readable message describing the OptIn response. |
| status | string | Status the OptIn response. |
copied!{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the OptIn History.",
"properties": {
"content": {
"type": "array",
"description": "Content of the OptIn History.",
"items": {
"type": "object",
"description": "Items in the OptIn History.",
"properties": {
"actionType": {
"type": "string",
"description": "The type of action associated with the email campaign OptIn History."
},
"reason": {
"type": "string",
"description": "The reason for the action in the email campaign OptIn History."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp representing the creation date of the email campaign OptIn History entry."
},
"email": {
"type": "string",
"description": "Email associated with the email campaign OptIn History."
}
},
"required": [
"actionType",
"reason",
"createdDate",
"email"
]
}
},
"pageable": {
"type": "object",
"description": "Details about pagination.",
"properties": {
"sort": {
"type": "object",
"description": "Indicates whether the list is sorted.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the list is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the list is unsorted."
}
},
"required": [
"sorted",
"empty",
"unsorted"
]
},
"pageNumber": {
"type": "integer",
"description": "The current page number."
},
"offset": {
"type": "integer",
"description": "The offset of the current page."
},
"pageSize": {
"type": "integer",
"description": "The size of each page in the paginated list."
},
"paged": {
"type": "boolean",
"description": "Indicates whether the list is paginated."
},
"unpaged": {
"type": "boolean",
"description": "Indicates whether the list is unpaged."
}
},
"required": [
"sort",
"pageNumber",
"offset",
"pageSize",
"paged",
"unpaged"
]
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements across all pages."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list."
},
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list."
},
"size": {
"type": "integer",
"description": "Number of elements in the current page."
},
"number": {
"type": "integer",
"description": "The current page number."
},
"sort": {
"type": "object",
"description": "Indicates whether the list is sorted.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the list is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the list is unsorted."
}
},
"required": [
"sorted",
"empty",
"unsorted"
]
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in the current page."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the paginated list is empty."
}
},
"required": [
"content",
"pageable",
"totalPages",
"totalElements",
"last",
"first",
"size",
"number",
"sort",
"numberOfElements",
"empty"
]
},
"status": {
"type": "string",
"description": "The status of the response."
}
},
"required": [
"details",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| details | object | Details of the OptIn History. |
| content | [object] | Content of the OptIn History. |
| actionType | string | The type of action associated with the email campaign OptIn History. |
| reason | string | The reason for the action in the email campaign OptIn History. |
| createdDate | integer | Timestamp representing the creation date of the email campaign OptIn History entry. |
| string | Email associated with the email campaign OptIn History. | |
| pageable | object | Details about pagination. |
| sort | object | Indicates whether the list is sorted. |
| sorted | boolean | Indicates whether the list is sorted. |
| empty | boolean | Indicates whether the sorting is empty. |
| unsorted | boolean | Indicates whether the list is unsorted. |
| pageNumber | integer | The current page number. |
| offset | integer | The offset of the current page. |
| pageSize | integer | The size of each page in the paginated list. |
| paged | boolean | Indicates whether the list is paginated. |
| unpaged | boolean | Indicates whether the list is unpaged. |
| totalPages | integer | Total number of pages in the paginated list. |
| totalElements | integer | Total number of elements across all pages. |
| last | boolean | Indicates whether this is the last page in the paginated list. |
| first | boolean | Indicates whether this is the first page in the paginated list. |
| size | integer | Number of elements in the current page. |
| number | integer | The current page number. |
| sort | object | Indicates whether the list is sorted. |
| sorted | boolean | Indicates whether the list is sorted. |
| empty | boolean | Indicates whether the sorting is empty. |
| unsorted | boolean | Indicates whether the list is unsorted. |
| numberOfElements | integer | Number of elements in the current page. |
| empty | boolean | Indicates whether the paginated list is empty. |
| status | string | The status of the response. |
copied!{
"type": "object",
"properties": {
"data": {
"type": "object",
"description": "Data of the send email campaign response .",
"properties": {
"campaignGroupId": {
"type": "string",
"description": "Unique identifier for the email campaign group."
},
"message": {
"type": "string",
"description": "A message providing additional details about the email campaign response."
}
},
"required": [
"campaignGroupId",
"message"
]
},
"status": {
"type": "string",
"description": "Status of the email campaign response."
}
},
"required": [
"data",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| data | object | Data of the send email campaign response . |
| campaignGroupId | string | Unique identifier for the email campaign group. |
| message | string | A message providing additional details about the email campaign response. |
| status | string | Status of the email campaign response. |
copied!{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the email campaign OptIn.",
"properties": {
"message": {
"type": "string",
"description": "A message providing additional details about the Email Campaign Opt-In."
}
},
"required": [
"message"
]
},
"status": {
"type": "string",
"description": "Status of the email campaign response."
}
},
"required": [
"details",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| details | object | Details of the email campaign OptIn. |
| message | string | A message providing additional details about the Email Campaign Opt-In. |
| status | string | Status of the email campaign response. |
copied!{
"type": "object",
"properties": {
"pagination": {
"type": "object",
"description": "Object contains pagination details for Email campaign Activity.",
"properties": {
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list of email campaign activity."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list of email campaign activity."
},
"hasErrors": {
"type": "boolean",
"description": "Indicates whether there are errors in the paginated list of email campaign activity."
},
"hasNext": {
"type": "boolean",
"description": "Indicates whether there is a next page in the paginated list of email campaign activity."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements in email campaign activity across all pages."
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list of email campaign activity."
},
"size": {
"type": "integer",
"description": "Number of elements in email campaign activity in the current page."
},
"currentPage": {
"type": "integer",
"description": "The current page number in the paginated list of email campaign activity."
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in email campaign activity for the current page."
}
},
"required": [
"first",
"last",
"hasErrors",
"hasNext",
"totalElements",
"totalPages",
"size",
"currentPage",
"numberOfElements"
]
},
"data": {
"type": "array",
"description": "Data for Email Campaign Activity.",
"items": {
"type": "object",
"properties": {
"emailActivityId": {
"type": "string",
"description": "Unique identifier for the email activity."
},
"email": {
"type": "string",
"description": "Email address associated with the email campaign activity."
},
"event": {
"type": "string",
"description": "Event associated with email campaign activity."
},
"ip": {
"type": "string",
"description": "IP address associated with the email activity."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the email activity was created."
},
"useragent": {
"type": "string",
"description": "User agent information associated with the email activity."
}
},
"required": [
"emailActivityId",
"email",
"event",
"ip",
"createdDate",
"useragent"
]
}
},
"status": {
"type": "string",
"description": "Status of the email campaign activity."
}
},
"required": [
"pagination",
"data",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| pagination | object | Object contains pagination details for Email campaign Activity. |
| first | boolean | Indicates whether this is the first page in the paginated list of email campaign activity. |
| last | boolean | Indicates whether this is the last page in the paginated list of email campaign activity. |
| hasErrors | boolean | Indicates whether there are errors in the paginated list of email campaign activity. |
| hasNext | boolean | Indicates whether there is a next page in the paginated list of email campaign activity. |
| totalElements | integer | Total number of elements in email campaign activity across all pages. |
| totalPages | integer | Total number of pages in the paginated list of email campaign activity. |
| size | integer | Number of elements in email campaign activity in the current page. |
| currentPage | integer | The current page number in the paginated list of email campaign activity. |
| numberOfElements | integer | Number of elements in email campaign activity for the current page. |
| data | [object] | Data for Email Campaign Activity. |
| emailActivityId | string | Unique identifier for the email activity. |
| string | Email address associated with the email campaign activity. | |
| event | string | Event associated with email campaign activity. |
| ip | string | IP address associated with the email activity. |
| createdDate | integer | Timestamp indicating when the email activity was created. |
| useragent | string | User agent information associated with the email activity. |
| status | string | Status of the email campaign activity. |
copied!{
"type": "object",
"properties": {
"pagination": {
"type": "object",
"description": "Object containing pagination details for Email Camapign History.",
"properties": {
"first": {
"type": "boolean",
"description": "Indicates whether this is the first page in the paginated list of email campaign history."
},
"last": {
"type": "boolean",
"description": "Indicates whether this is the last page in the paginated list of email campaign history."
},
"hasErrors": {
"type": "boolean",
"description": "Indicates whether there are errors in the paginated list of email campaign history."
},
"hasNext": {
"type": "boolean",
"description": "Indicates whether there is a next page in the paginated list of email campaign history."
},
"totalElements": {
"type": "integer",
"description": "Total number of elements in email campaign history have across all pages."
},
"totalPages": {
"type": "integer",
"description": "Total number of pages in the paginated list of email campaign history."
},
"size": {
"type": "integer",
"description": "Size of the email campaign history."
},
"currentPage": {
"type": "integer",
"description": "The current page number in the paginated list of email campaign history."
},
"numberOfElements": {
"type": "integer",
"description": "Number of elements in email campaign history in the current page."
}
},
"required": [
"first",
"last",
"hasErrors",
"hasNext",
"totalElements",
"totalPages",
"size",
"currentPage",
"numberOfElements"
]
},
"data": {
"type": "array",
"description": "Data of the Email Campaign History.",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "Email associated with Email campaign History."
},
"emailActivityId": {
"type": "string",
"description": "Email Activity Id associated with Email Campaign History."
},
"campaignName": {
"type": "string",
"description": "The Email CampaignName in the Email Campaign History."
},
"campaignType": {
"type": "string",
"description": "Type of the email campaign in the Email Campaign History ."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the email campaign history entry was created."
}
},
"required": [
"email",
"emailActivityId",
"campaignName",
"campaignType",
"createdDate"
]
}
},
"status": {
"type": "string",
"description": "Status of the Email Campaign History."
}
},
"required": [
"pagination",
"data",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| pagination | object | Object containing pagination details for Email Camapign History. |
| first | boolean | Indicates whether this is the first page in the paginated list of email campaign history. |
| last | boolean | Indicates whether this is the last page in the paginated list of email campaign history. |
| hasErrors | boolean | Indicates whether there are errors in the paginated list of email campaign history. |
| hasNext | boolean | Indicates whether there is a next page in the paginated list of email campaign history. |
| totalElements | integer | Total number of elements in email campaign history have across all pages. |
| totalPages | integer | Total number of pages in the paginated list of email campaign history. |
| size | integer | Size of the email campaign history. |
| currentPage | integer | The current page number in the paginated list of email campaign history. |
| numberOfElements | integer | Number of elements in email campaign history in the current page. |
| data | [object] | Data of the Email Campaign History. |
| string | Email associated with Email campaign History. | |
| emailActivityId | string | Email Activity Id associated with Email Campaign History. |
| campaignName | string | The Email CampaignName in the Email Campaign History. |
| campaignType | string | Type of the email campaign in the Email Campaign History . |
| createdDate | integer | Timestamp indicating when the email campaign history entry was created. |
| status | string | Status of the Email Campaign History. |
copied!{
"type": "object",
"description": "An error message showing Bad Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Bad Request."
},
"message": {
"type": "string",
"description": "A user Readable information about Bad Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status code for the Bad Request. |
| message | string | A user Readable information about Bad Request. |
| errors | array | ApiError |
| apiLink | object | ApiLink |
copied!{
"type": "object",
"description": "An error message showing Unauthorized Request.",
"properties": {
"status": {
"type": "string",
"description": "Status code for the Unauthorized Request."
},
"message": {
"type": "string",
"description": "A user Readable information about the Unauthorized Request."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status code for the Unauthorized Request. |
| message | string | A user Readable information about the Unauthorized Request. |
| errors | array | ApiError |
| apiLink | object | ApiLink |
copied!{
"type": "object",
"description": "An error message showing Internal Server Error.",
"properties": {
"status": {
"type": "string",
"description": "Status of the Internal Server Error."
},
"message": {
"type": "string",
"description": "A user readable information about Internal Server Error."
},
"errors": {
"type": "array",
"items": {
"ApiError": {
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}
}
},
"apiLink": {
"ApiLink": {
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | string | Status of the Internal Server Error. |
| message | string | A user readable information about Internal Server Error. |
| errors | array | ApiError |
| apiLink | object | ApiLink |
copied!{
"required": [
"optIn"
],
"type": "object",
"properties": {
"phoneNumber": {
"type": "string",
"description": "Phone Number associated with Email Campaign OptIn Request."
},
"email": {
"type": "string",
"description": "Email Id associated with Email Campaign OptIn Request."
},
"optIn": {
"type": "boolean",
"description": "A boolean flag indicating the OptIn status."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| phoneNumber | string | Phone Number associated with Email Campaign OptIn Request. |
| string | Email Id associated with Email Campaign OptIn Request. | |
| optIn | boolean | A boolean flag indicating the OptIn status. |
copied!{
"required": [
"campaignId",
"emailContent",
"subject",
"toEmail"
],
"type": "object",
"properties": {
"subject": {
"maxLength": 78,
"minLength": 3,
"type": "string",
"description": "Subject of the Send Email Campaign Request."
},
"emailContent": {
"maxLength": 524288,
"minLength": 3,
"type": "string",
"description": "Email content of the Send Email Campaign Request."
},
"campaignId": {
"type": "string",
"description": "Campaign Id for Send Email Campaign Request."
},
"toEmail": {
"maxLength": 78,
"minLength": 3,
"type": "string",
"description": "Sender's email address in send email campaign Request."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| subject | string | Subject of the Send Email Campaign Request. |
| emailContent | string | Email content of the Send Email Campaign Request. |
| campaignId | string | Campaign Id for Send Email Campaign Request. |
| toEmail | string | Sender's email address in send email campaign Request. |
copied!{
"type": "object",
"description": "Represents an error response from the API.",
"properties": {
"code": {
"type": "string",
"description": "Error code indicating the type of error."
},
"message": {
"type": "string",
"description": "A user readable error message providing details about the error."
},
"status": {
"type": "string",
"description": "Status code associated with the error."
},
"timestamp": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating when the error occurred."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| code | string | Error code indicating the type of error. |
| message | string | A user readable error message providing details about the error. |
| status | string | Status code associated with the error. |
| timestamp | integer | Timestamp indicating when the error occurred. |
copied!{
"type": "object",
"description": "Represents a link to relevant API resources.",
"properties": {
"self": {
"type": "string",
"description": "The link to the resource itself."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| self | string | The link to the resource itself. |
copied!{
"type": "object",
"properties": {
"phoneNumber": {
"type": "string",
"description": "User phoneNumber of the Send SMS campaign request."
},
"message": {
"type": "string",
"description": "The user readable message about the Send SMS campaign request ."
},
"campaignName": {
"type": "string",
"description": "Campaign Name of the Send SMS campaign request."
},
"campaignId": {
"type": "string",
"description": "Campaign Id of the Send SMS campaign request."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| phoneNumber | string | User phoneNumber of the Send SMS campaign request. |
| message | string | The user readable message about the Send SMS campaign request . |
| campaignName | string | Campaign Name of the Send SMS campaign request. |
| campaignId | string | Campaign Id of the Send SMS campaign request. |
copied!{
"type": "object",
"properties": {
"details": {
"type": "object",
"description": "Details of the SMS campaign OptIn History.",
"properties": {
"content": {
"type": "array",
"description": "Content of the SMS campaign OptIn History.",
"items": {
"type": "object",
"description": "Items associated to SMS campaign OptIn History.",
"properties": {
"phoneNumber": {
"type": "string",
"description": "PhoneNumber associated with SMS campaign OptIn History."
},
"actionType": {
"type": "string",
"description": "The type of action associated with the SMS campaign OptIn History."
},
"reason": {
"type": "string",
"description": "Reason for the SMS campaign OptIn History."
},
"createdDate": {
"type": "integer",
"format": "int64",
"description": "Timestamp indicating the date and time when the opt-in event occurred."
}
},
"required": [
"phoneNumber",
"actionType",
"reason",
"createdDate"
]
}
},
"pageable": {
"type": "object",
"description": "Represents pagination information for a pageable result set.",
"properties": {
"sort": {
"type": "object",
"description": "Sorting information for the pageable result set.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the result set is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the sorting is unsorted."
}
},
"required": [
"sorted",
"empty",
"unsorted"
]
},
"pageNumber": {
"type": "integer",
"description": "The current page number in the result set."
},
"offset": {
"type": "integer",
"description": "The offset of the current page in the result set."
},
"pageSize": {
"type": "integer",
"description": "The number of elements per page in the result set."
},
"paged": {
"type": "boolean",
"description": "Indicates whether the result set is pageable."
},
"unpaged": {
"type": "boolean",
"description": "Indicates whether the result set is unpaged."
}
},
"required": [
"sort",
"pageNumber",
"offset",
"pageSize",
"paged",
"unpaged"
]
},
"totalPages": {
"type": "integer",
"description": "The total number of pages in the result set."
},
"totalElements": {
"type": "integer",
"description": "The total number of elements in the result set."
},
"last": {
"type": "boolean",
"description": "Indicates whether the current page is the last page in the result set."
},
"first": {
"type": "boolean",
"description": "Indicates whether the current page is the first page in the result set."
},
"size": {
"type": "integer",
"description": "The number of elements on the current page."
},
"number": {
"type": "integer",
"description": "The current page number in the result set."
},
"sort": {
"type": "object",
"description": "Sorting information for the result set.",
"properties": {
"sorted": {
"type": "boolean",
"description": "Indicates whether the result set is sorted."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the sorting is empty."
},
"unsorted": {
"type": "boolean",
"description": "Indicates whether the sorting is unsorted."
}
},
"required": [
"sorted",
"empty",
"unsorted"
]
},
"numberOfElements": {
"type": "integer",
"description": "The number of elements on the current page."
},
"empty": {
"type": "boolean",
"description": "Indicates whether the result set is empty."
}
},
"required": [
"content",
"pageable",
"totalPages",
"totalElements",
"last",
"first",
"size",
"number",
"sort",
"numberOfElements",
"empty"
]
},
"status": {
"type": "string",
"description": "Status of the OptIn History."
}
},
"required": [
"details",
"status"
]
}Properties
| Name | Type | Description |
|---|---|---|
| details | object | Details of the SMS campaign OptIn History. |
| content | [object] | Content of the SMS campaign OptIn History. |
| phoneNumber | string | PhoneNumber associated with SMS campaign OptIn History. |
| actionType | string | The type of action associated with the SMS campaign OptIn History. |
| reason | string | Reason for the SMS campaign OptIn History. |
| createdDate | integer | Timestamp indicating the date and time when the opt-in event occurred. |
| pageable | object | Represents pagination information for a pageable result set. |
| sort | object | Sorting information for the pageable result set. |
| sorted | boolean | Indicates whether the result set is sorted. |
| empty | boolean | Indicates whether the sorting is empty. |
| unsorted | boolean | Indicates whether the sorting is unsorted. |
| pageNumber | integer | The current page number in the result set. |
| offset | integer | The offset of the current page in the result set. |
| pageSize | integer | The number of elements per page in the result set. |
| paged | boolean | Indicates whether the result set is pageable. |
| unpaged | boolean | Indicates whether the result set is unpaged. |
| totalPages | integer | The total number of pages in the result set. |
| totalElements | integer | The total number of elements in the result set. |
| last | boolean | Indicates whether the current page is the last page in the result set. |
| first | boolean | Indicates whether the current page is the first page in the result set. |
| size | integer | The number of elements on the current page. |
[...]
